Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartAreaInfo

    java.lang.Object
      jet.report.xls.ChartAreaInfo

    public class ChartAreaInfo

extends java.lang.Object

Contains the information of Chart Area in the file.

Field Summary
`static short` | `REGULARBORDER` The border format is regular border.
`static short` | `SHADOWBORDER` The border format is shadow border.

Constructor Summary
`ChartAreaInfo()` Constructs a ChartAreaInfo record.
`ChartAreaInfo(LineFormatInfo lineFormatInfo, AreaFormatInfo areaFormatInfo)` Constructs a ChartAreaInfo record and sets its fields appropriately.

Method Summary
`AreaFormatInfo` | `getAreaFormat()` Gets the information of chart area color.
`short` | `getBorder()` Gets the pattern of the frame border.
`LineFormatInfo` | `getBorderFormat()` Gets the information of chart border line.
`boolean` | `isAutoPosition()` Gets whether the position of the frame is calculated by Microsoft Excel or not.
`boolean` | `isAutoSize()` Gets whether the size of the frame is calculated by Microsoft Excel or not.
`void` | `setAreaFormat(AreaFormatInfo areaFormatInfo)` Sets the information of chart area color.
`void` | `setAutoPosition(boolean b)` Sets whether the position of the frame is calculated by Microsoft Excel or not.
`void` | `setAutoSize(boolean b)` Sets whether the size of the frame is calculated by Microsoft Excel or not.
`void` | `setBorder(short frt)` Sets the pattern of the frame border.
`void` | `setBorderFormat(LineFormatInfo lineFormatInfo)` Sets the information of chart border line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGULARBORDER

    public static final short REGULARBORDER

  The border format is regular border.

  See Also:
    Constant Field Values

### SHADOWBORDER

    public static final short SHADOWBORDER

  The border format is shadow border.

  See Also:
    Constant Field Values

Constructor Detail

### ChartAreaInfo

    public ChartAreaInfo()

  Constructs a ChartAreaInfo record.

### ChartAreaInfo

    public ChartAreaInfo(LineFormatInfo lineFormatInfo,
                         AreaFormatInfo areaFormatInfo)

  Constructs a ChartAreaInfo record and sets its fields appropriately.

  Parameters:
    `lineFormatInfo` - the information of chart border line
    `areaFormatInfo` - the information of chart area color

Method Detail

### getBorder

    public short getBorder()

  Gets the pattern of the frame border.

  Returns:
    the pattern of the frame border
  See Also:
    `REGULARBORDER`, `SHADOWBORDER`

### setBorder

    public void setBorder(short frt)

  Sets the pattern of the frame border.

  Parameters:
    `frt` - the pattern of the frame border
  See Also:
    `REGULARBORDER`, `SHADOWBORDER`

### isAutoSize

    public boolean isAutoSize()

  Gets whether the size of the frame is calculated by Microsoft Excel or not.

  Returns:
    true if the size of frame is calculated by Microsoft Excel

### setAutoSize

    public void setAutoSize(boolean b)

  Sets whether the size of the frame is calculated by Microsoft Excel or not.

  Parameters:
    `b` - - true specifies the size of the frame is calculated by Microsoft Excel

### isAutoPosition

    public boolean isAutoPosition()

  Gets whether the position of the frame is calculated by Microsoft Excel or not.

  Returns:
    true if the position of frame is calculated by Microsoft Excel

### setAutoPosition

    public void setAutoPosition(boolean b)

  Sets whether the position of the frame is calculated by Microsoft Excel or not.

  Parameters:
    `b` - - true specifies the position of the frame is calculated by Microsoft Excel

### setBorderFormat

    public void setBorderFormat(LineFormatInfo lineFormatInfo)

  Sets the information of chart border line.

  Parameters:
    `lineFormatInfo` - the information of chart border line

### getBorderFormat

    public LineFormatInfo getBorderFormat()

  Gets the information of chart border line. return the information of chart border line

### setAreaFormat

    public void setAreaFormat(AreaFormatInfo areaFormatInfo)

  Sets the information of chart area color.

  Parameters:
    `areaFormatInfo` - the information of chart area color

### getAreaFormat

    public AreaFormatInfo getAreaFormat()

  Gets the information of chart area color. return the information of chart area color

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD